GAPD(8)

NAME
gapd - GAP Daemon

SYNOPSIS
gapd [-h HOST|-a|-l|-u] [-p PORT] [-t [MODE]] [--infolevel[-scscp|-master] LEVEL] [--foreground] [--help] [--version]

DESCRIPTION
GAP Daemon - GAP SCSCP server daemon

OPTIONS

-h HOST
    Start at host HOST: HOST may be given as machine name with or without domain or as 'localhost' (see option -l for that purpose).

-a  Set server address to the one given by hostname(1).

-l  Start at localhost: reject incoming any connection from the outside.

-u  Start in `universal' mode: accept all incoming connections.

-p PORT
    Set server port to PORT, default port set in `/etc/scscp/gap/config.g'.

-t MODE
    Redirect the server session output according to the following MODEs: MODE=no sink the output to `/dev/null' (default behaviour); MODE=log redirect the output to `/var/log/gapd/gapd.log'; MODE=yes redirect the output to a temporary file, which name is displayed (and printed to `/var/log/gapd/gapd.log' for granted users); the implicit mode is MODE=yes for backward compatibility.

--infolevel-scscp LEVEL
    Set the GAP InfoLevel for SCSCP to LEVEL.

--infolevel-master LEVEL
    Set the GAP InfoLevel for MasterWorker to LEVEL.

--infolevel LEVEL
    Indiscriminately set the GAP InfoLevel_s to LEVEL.

--foreground
    Do not fork into the background: run in the foreground, as expected by process supervisors such as systemd.

--help
    Print this help text and exit.

--version
    Output version information and exit.

AUTHORS
Alexander Konovalov and Steve Linton. The GAP Daemon script gapd was slightly improved with backward compatibility and documented hereby by Jerome Benoit on behalf of the Debian Science Team (August 2014).

FILES

/etc/scscp/gap/server.g
    This file is the GAP SCSCP server configuration file on Debian system: it loads all necessary packages, reads all needed code, installs all procedures which will be exposed to the client and finally starts the SCSCP server itself.

/etc/scscp/gap/config.g
    This file sets the default parameters needed by the GAP SCSCP package; it is fully commented.

/etc/scscp/gap/
    This directory is meant to be the default location on Debian system for all systemwide configuration material needed by the GAP SCSCP server and any GAP SCSCP client.

COPYRIGHT
Copyright © 2007-2014 by Alexander Konovalov and Steve Linton

GAP SCSCP package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SEE ALSO
gap(1), hostname(1)

The complete manual for the GAP SCSCP package is available at /usr/share/gap/pkg/scscp/doc or via the GAP online help system.